This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 175851 - Builds throw java.lang.NullPointerExceptions
Builds throw java.lang.NullPointerExceptions
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: eclipse-cdt (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnston
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-15 14:12 EST by Andrew Overholt
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-06 18:24:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
workspace log (729.21 KB, application/octet-stream)
2005-12-15 14:17 EST, Andrew Overholt
no flags Details

  None (edit)
Description Andrew Overholt 2005-12-15 14:12:20 EST
Description of problem:
I notice this sometimes with regular CDT stuff but it's most pronounced with the
autotools stuff I've been playing with (http://kde-eclipse.pwsp.net).

Version-Release number of selected component (if applicable):
eclipse-cdt-3.0.0_fc-1.FC4

How reproducible:
Apparently always.

Steps to Reproduce:
1. Check out the autotools projects
2. Start up and Eclipse application with them
3. Create a C++ Standard Autotools project and watch the build errors in the
console from which you launched the initial Eclipse instance.
  
Actual results:
Tonnes of:
Unhandled event loop exception
Reason:
Failed to execute runnable (java.lang.NullPointerException)

Expected results:
No errors.

Additional info:
Comment 1 Andrew Overholt 2005-12-15 14:17:08 EST
Created attachment 122294 [details]
workspace log

It appears that there is one main NPE that is causing all of the others:

!ENTRY org.eclipse.ui 4 0 2005-12-15 14:21:12.756
!MESSAGE java.lang.NullPointerException
!STACK 0
java.lang.NullPointerException
   at
org.eclipse.ui.part.PageBookView.showPageRec(org.eclipse.ui.part.PageBookView$PageRec)
(/usr/lib/gcj/eclipse/org.eclipse.ui.workbench_3.1.1.jar.so)
   at
org.eclipse.ui.internal.console.ConsoleView.showPageRec(org.eclipse.ui.part.PageBookView$PageRec)
(/usr/lib/gcj/eclipse/org.eclipse.ui.console_3.1.0.jar.so)
   at
org.eclipse.ui.part.PageBookView.partActivated(org.eclipse.ui.IWorkbenchPart)
(/usr/lib/gcj/eclipse/org.eclipse.ui.workbench_3.1.1.jar.so)
   at
org.eclipse.ui.internal.console.ConsoleView.display(org.eclipse.ui.console.IConsole)
(/usr/lib/gcj/eclipse/org.eclipse.ui.console_3.1.0.jar.so)
   at org.eclipse.ui.internal.console.ShowConsoleAction.run()
(/usr/lib/gcj/eclipse/org.eclipse.ui.console_3.1.0.jar.so)
   at
org.eclipse.jface.action.Action.runWithEvent(org.eclipse.swt.widgets.Event)
(/usr/lib/gcj/eclipse/org.eclipse.jface_3.1.1.jar.so)
   at
org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(org.eclipse.swt.widgets.Event,
boolean) (/usr/lib/gcj/eclipse/org.eclipse.jface_3.1.1.jar.so)
   at
org.eclipse.jface.action.ActionContributionItem.access$2(org.eclipse.jface.action.ActionContributionItem,
org.eclipse.swt.widgets.Event, boolean) (/usr/lib/gcj/ecli   at
org.eclipse.jface.action.ActionContributionItem$5.handleEvent(org.eclipse.swt.widgets.Event)
(/usr/lib/gcj/eclipse/org.eclipse.jface_3.1.1.jar.so)
   at
org.eclipse.swt.widgets.EventTable.sendEvent(org.eclipse.swt.widgets.Event)
(/usr/lib/gcj/eclipse/org.eclipse.swt.gtk.linux.x86_3.1.1.jar.so)
   at org.eclipse.swt.widgets.Widget.sendEvent(org.eclipse.swt.widgets.Event)
(/usr/lib/gcj/eclipse/org.eclipse.swt.gtk.linux.x86_3.1.1.jar.so)
   at org.eclipse.swt.widgets.Display.runDeferredEvents()
(/usr/lib/gcj/eclipse/org.eclipse.swt.gtk.linux.x86_3.1.1.jar.so)
   at org.eclipse.swt.widgets.Display.readAndDispatch()
(/usr/lib/gcj/eclipse/org.eclipse.swt.gtk.linux.x86_3.1.1.jar.so)
   at
org.eclipse.ui.internal.Workbench.runEventLoop(org.eclipse.jface.window.Window$IExceptionHandler,
org.eclipse.swt.widgets.Display) (/usr/lib/gcj/eclipse/org.eclipse   at
org.eclipse.ui.internal.Workbench.runUI()
(/usr/lib/gcj/eclipse/org.eclipse.ui.workbench_3.1.1.jar.so)	at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(org.eclipse.swt.widgets.Display,
org.eclipse.ui.application.WorkbenchAdvisor) (/usr/lib/gcj/eclipse/org.ecli  
at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(org.eclipse.swt.widgets.Display,
org.eclipse.ui.application.WorkbenchAdvisor)
(/usr/lib/gcj/eclipse/org.eclipse.ui.w	 at
org.eclipse.ui.internal.ide.IDEApplication.run(java.lang.Object)
(/usr/lib/gcj/eclipse/org.eclipse.ui.ide_3.1.1.jar.so)	  at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(java.lang.Object)
(/usr/lib/gcj/eclipse/org.eclipse.core.runtime_3.1.1.jar.so)
   at org.eclipse.core.runtime.adaptor.EclipseStarter.run(java.lang.Object)
(/usr/lib/gcj/eclipse/org.eclipse.osgi_3.1.1.jar.so)	at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(java.lang.String[],
java.lang.Runnable) (/usr/lib/gcj/eclipse/org.eclipse.osgi_3.1.1.jar.so)
   at java.lang.reflect.Method.invoke(java.lang.Object, java.lang.Object[])
(/usr/lib/libgcj.so.6.0.0)
   at org.eclipse.core.launcher.Main.invokeFramework(java.lang.String[],
java.net.URL[]) (/usr/lib/gcj/eclipse/startup.jar.so)
   at org.eclipse.core.launcher.Main.basicRun(java.lang.String[])
(/usr/lib/gcj/eclipse/startup.jar.so)
   at org.eclipse.core.launcher.Main.run(java.lang.String[])
(/usr/lib/gcj/eclipse/startup.jar.so)
   at org.eclipse.core.launcher.Main.main(java.lang.String[])
(/usr/lib/gcj/eclipse/startup.jar.so)
   at gnu.java.lang.MainThread.call_main() (/usr/lib/libgcj.so.6.0.0)
   at gnu.java.lang.MainThread.run() (/usr/lib/libgcj.so.6.0.0)
Comment 2 Andrew Haley 2006-01-20 10:29:03 EST
Steps to Reproduce:
1. Check out the autotools projects
2. Start up and Eclipse application with them
3. Create a C++ Standard Autotools project and watch the build errors in the
console from which you launched the initial Eclipse instance.

Please provide more information.  Please detail the actions require to perform
these steps.
Comment 3 Jeff Johnston 2006-11-06 17:45:43 EST
Checking out the KDE autotools sources, I was forced to use JDK 1.5 for two of
the plugins as they are using 1.5 features.  Binding those two particular
plugins to our local JDK 1.5 JRE, the problem did not manifest itself on FC6. 
Would you care to try your local version of the KDE sources again on FC6 or may
I close this?
Comment 4 Andrew Overholt 2006-11-06 17:59:43 EST
I never had to use a 1.5 JVM but sure, go ahead and close this.

Note You need to log in before you can comment on or make changes to this bug.